API ReferenceOrganizationProvidersV3
Upload Attachment
Uploads a file to the provider. Accepted file types are W9, PECOS_RECORD, and BANK_LETTER_OR_VOIDED_CHECK. Only one file per type is allowed per provider — uploading when a file of the same type already exists returns a 409.
Authorization
BearerAuth AuthorizationBearer <token>
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Path Parameters
organization_provider_id*organization-providersv2OrganizationProviderId
Format
uuidHeader Parameters
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/organization-providers/v3/497f6eca-6276-4993-bfeb-53cbbbba6f08/attachments" \ -H "Authorization: string" \ -F attachment_file="string" \ -F file_type="W9""497f6eca-6276-4993-bfeb-53cbbbba6f08"